Loading...
Searching...
No Matches
QXmppOutgoingServer Class Reference

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server. More...

`#include <QXmppOutgoingServer.h>`

Inheritance diagram for QXmppOutgoingServer:
[legend]
Collaboration diagram for QXmppOutgoingServer:
[legend]

## Public Member Functions

| QXmppOutgoingServer (const QString &domain, QObject *parent)
bool | isConnected () const
| Returns true if the socket is connected and authentication succeeded.
Q_SLOT void | connectToHost (const QString &domain)
void | disconnectFromHost ()
| Disconnects from the remote host.
Q_SLOT void | queueData (const QByteArray &data)
| Sends or queues data until connected.
Q_SIGNAL void | connected ()
| This signal is emitted when the stream is connected.
Q_SIGNAL void | disconnected ()
| This signal is emitted when the stream is disconnected.
bool | sendData (const QByteArray &)
| Sends raw data to the peer.
bool | sendPacket (const QXmppNonza &)
| Sends an XMPP packet to the peer.
QString | localStreamKey () const
| Returns the stream's local dialback key.
void | setLocalStreamKey (const QString &key)
| Sets the stream's local dialback key.
void | setVerify (const QString &id, const QString &key)
| Sets the stream's verification information.
QString | remoteDomain () const
| Returns the remote server's domain.
Q_SIGNAL void | dialbackResponseReceived (const QXmppDialback &response)
| This signal is emitted when a dialback verify response is received.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Additional Inherited Members

Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server.

## Constructor & Destructor Documentation

## QXmppOutgoingServer()

QXmppOutgoingServer::QXmppOutgoingServer | ( | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new outgoing server-to-server stream.

Parameters

  domain | the local domain
  parent | the parent object

## Member Function Documentation

## connectToHost()

void QXmppOutgoingServer::connectToHost | ( | const QString & | domain | ) |

Attempts to connect to an XMPP server for the specified domain.

Parameters

  domain |

The documentation for this class was generated from the following files:

- QXmppOutgoingServer.h
- QXmppOutgoingServer.cpp